Subject: RE: draft-ietf-httpbis-tunnel-protocol-04, "2.2 Syntax"

From: Christer Holmberg <[email-masked]>
Date: Tue, 2 Jun 2015 17:45:34 +0000

Hi,

>> I commented on the ABNF as part of my Gen-ART review of the draft, and in my opinion the correct syntax is:
>>
>> 	ALPN = "ALPN":" protocol-id *(COMMA protocol-id)
>>
> No, that wouldn't properly define where whitespace is allowed.

That is not correct. As far as I remember, the ABNF rules says that whitespaces are by default allowed between tokens.

Regards,

Christer

---

From: Martin Thomson <[email-masked]>
Date: Tue, 2 Jun 2015 12:53:39 -0700

> That is not correct. As far as I remember, the ABNF rules says that whitespaces are by default allowed between tokens.

RFC 2616 had an implicit whitespace clause.  Julian can correct me,
but I believe that RFC 7230 & co. are completely, uniformly explicit.

---

From: Julian Reschke <[email-masked]>
Date: Tue, 02 Jun 2015 21:55:17 +0200

> but I believe that RFC 7230 & co. are completely, uniformly explicit.

Indeed. In RFC 5234 ABNF (from which we extend in 7230), whitespace is 
explicit.

Best regards, Julian

---

From: Barry Leiba <[email-masked]>
Date: Wed, 3 Jun 2015 14:45:16 -0400

> https://github.com/httpwg/http-extensions/commit/439896f83944e2dbae022300c8982050ca98c4c6

Are you ready to push out an -05 with the last call updates, for IESG
Evaluation?

Barry, ART Director

---

From: Martin Thomson <[email-masked]>
Date: Wed, 3 Jun 2015 15:10:57 -0700

> Are you ready to push out an -05 with the last call updates, for IESG

I honestly thought that -04 was sufficient for that purpose, and that
you were proceeding on that basis.  Julian corrected the ABNF, and
tweaked some grammar, but those are all that has happened.  I can spin
-05, but it seemed like mere churn.

---

From: Barry Leiba <[email-masked]>
Date: Wed, 3 Jun 2015 20:42:26 -0400

> -05, but it seemed like mere churn.

OK, that's fine with me.  We can leave it for later.

Barry

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 4 Jun 2015 04:13:09 +0000

Hi,

Note that I did a Gen-ART review of the draft (in addition to the ABNF isssue, I also had other comments) but I haven't seen a response yet. Have I missed it?

Regards,

Christer

Sent from my Windows Phone
________________________________
From: Barry Leiba<mailto:[email-masked]>
Sent: ‎04/‎06/‎2015 03:47
To: Martin Thomson<mailto:[email-masked]>
Cc: HTTP Working Group<mailto:[email-masked]>
Subject: Re: draft-ietf-httpbis-tunnel-protocol-04, "2.2 Syntax"

Barry